package com.weface.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.weface.entity.TUserTagEntity;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 用户ID标签关联表
 *
 * @author chenshun
 * @email sunlightcs@gmail.com
 * @date 2021-11-30 18:57:06
 */
@Mapper
public interface TUserTagDao extends BaseMapper<TUserTagEntity> {

    //查询用户和标签信息
    <T> IPage<TUserTagEntity> getUserAndTags(Page<T> page, String giUid, String tag);

    //使用limit分页查询
    List<String> findGidByLimit(int pageRecord, int limit);

    //根据标签查询用户gid
    List<String> getGidByTag(List<String> list);

    //根据gid查询用户标签
    List<TUserTagEntity> getTagByGid(List<String> list);

    //查询所有用户标签关联数据
    List<TUserTagEntity> selectAllUserForTags();

    //查询今天更新用户gid
    List<String> findTodayGid();
}
