package com.weface.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.weface.entity.TUserTagEntity;
import com.weface.common.utils.PageUtils;

import java.util.List;
import java.util.Map;

/**
 * 用户ID标签关联表
 *
 * @author chenshun
 * @email sunlightcs@gmail.com
 * @date 2021-11-30 18:57:06
 */
public interface TUserTagService extends IService<TUserTagEntity> {

    //查询所有用户对应标签信息
    PageUtils getUserAndTags(Map<String, Object> params);

    //使用limit分页查询
    List<String> findGidByLimit(int i, int limit);

    //查询当天的数据
    List<String> findTodayGid();

    //根据标签查询用户gid
    List<String> getGidByTag(String[] tags);

    //根据gid查询用户标签
    Map<String, Object> getTagByGid(String[] userIdList);

    List<TUserTagEntity> getAllImport();

}

